# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Public Attributes | List of all members
mpg123_frameinfo2 Struct Reference
mpg123 status and information

`#include <mpg123.h>`

## Public Attributes
int | version
int | layer
long | rate
int | mode
int | mode_ext
int | framesize
int | flags
int | emphasis
int | bitrate
int | abr_rate
int | vbr

## Detailed Description

Data structure for storing information about a frame of MPEG Audio without enums

Definition at line 1519 of file mpg123.h.

## Member Data Documentation

## ◆ version

int mpg123_frameinfo2::version

The MPEG version (1.0/2.0/2.5), enum mpg123_version.

Definition at line 1521 of file mpg123.h.

## ◆ layer

int mpg123_frameinfo2::layer

The MPEG Audio Layer (MP1/MP2/MP3).

Definition at line 1522 of file mpg123.h.

## ◆ rate

long mpg123_frameinfo2::rate

The sampling rate in Hz.

Definition at line 1523 of file mpg123.h.

## ◆ mode

int mpg123_frameinfo2::mode

The audio mode (enum mpg123_mode, Mono, Stereo, Joint-stero, Dual Channel).

Definition at line 1524 of file mpg123.h.

## ◆ mode_ext

int mpg123_frameinfo2::mode_ext

The mode extension bit flag.

Definition at line 1525 of file mpg123.h.

## ◆ framesize

int mpg123_frameinfo2::framesize

The size of the frame (in bytes, including header).

Definition at line 1526 of file mpg123.h.

## ◆ flags

int mpg123_frameinfo2::flags

MPEG Audio flag bits. Bitwise combination of enum mpg123_flags values.

Definition at line 1527 of file mpg123.h.

## ◆ emphasis

int mpg123_frameinfo2::emphasis

The emphasis type.

Definition at line 1528 of file mpg123.h.

## ◆ bitrate

int mpg123_frameinfo2::bitrate

Bitrate of the frame (kbps).

Definition at line 1529 of file mpg123.h.

## ◆ abr_rate

int mpg123_frameinfo2::abr_rate

The target average bitrate.

Definition at line 1530 of file mpg123.h.

## ◆ vbr

int mpg123_frameinfo2::vbr

The VBR mode, enum mpg123_vbr.

Definition at line 1531 of file mpg123.h.

The documentation for this struct was generated from the following file:

- mpg123.h